View a markdown version of this page

DeletePaymentConnector - Amazon Bedrock AgentCore Control Plane

DeletePaymentConnector

Deletes a payment connector.

Request Syntax

DELETE /payments/managers/paymentManagerId/connectors/paymentConnectorId?clientToken=clientToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

clientToken

A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If you don't specify this field, a value is randomly generated for you. If this token matches a previous request, the service ignores the request, but doesn't return an error. For more information, see Ensuring idempotency.

Length Constraints: Minimum length of 33. Maximum length of 256.

Pattern: [a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}

paymentConnectorId

The unique identifier of the payment connector to delete.

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

paymentManagerId

The unique identifier of the parent payment manager.

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 202 Content-type: application/json { "paymentConnectorId": "string", "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

paymentConnectorId

The unique identifier of the deleted payment connector.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

status

The current status of the payment connector, set to DELETING when deletion is initiated. Possible values include CREATING, READY, UPDATING, DELETING, CREATE_FAILED, UPDATE_FAILED, and DELETE_FAILED.

Type: String

Valid Values: CREATING | UPDATING | DELETING | READY | CREATE_FAILED | UPDATE_FAILED | DELETE_FAILED

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

ConflictException

This exception is thrown when there is a conflict performing an operation

HTTP Status Code: 409

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: